(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [
		{name:"banner_atlas_P_1", frames: [[462,202,232,19],[0,313,338,68],[340,313,162,51],[0,0,640,200],[0,202,460,109]]}
];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.gotoAndPlay = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
	}
}).prototype = p = new cjs.MovieClip();
// symbols:



(lib.copy3 = function() {
	this.initialize(ss["banner_atlas_P_1"]);
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.cta = function() {
	this.initialize(ss["banner_atlas_P_1"]);
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.logo = function() {
	this.initialize(ss["banner_atlas_P_1"]);
	this.gotoAndStop(2);
}).prototype = p = new cjs.Sprite();



(lib.Mobile_320x10021 = function() {
	this.initialize(ss["banner_atlas_P_1"]);
	this.gotoAndStop(3);
}).prototype = p = new cjs.Sprite();



(lib.Penseemdomiciliar = function() {
	this.initialize(ss["banner_atlas_P_1"]);
	this.gotoAndStop(4);
}).prototype = p = new cjs.Sprite();
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop, this.reversed));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.logo_1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Camada_1
	this.instance = new lib.logo();
	this.instance.setTransform(209,-55,0.5,0.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.logo_1, new cjs.Rectangle(209,-55,81,25.5), null);


(lib.Interpolação24 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Camada_1
	this.instance = new lib.Penseemdomiciliar();
	this.instance.setTransform(-88,-31.5,0.5,0.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-88,-31.5,230,54.5);


(lib.Interpolação23 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Camada_1
	this.instance = new lib.Mobile_320x10021();
	this.instance.setTransform(-106,-46,0.4749,0.4749);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-106,-46,304,95);


(lib.Interpolação22 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Camada_1
	this.instance = new lib.copy3();
	this.instance.setTransform(-58,-4.75,0.5,0.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-58,-4.7,116,9.5);


(lib.Interpolação21 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Camada_1
	this.instance = new lib.copy3();
	this.instance.setTransform(-58,-4.75,0.5,0.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-58,-4.7,116,9.5);


(lib.cta_1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Camada_1
	this.instance = new lib.cta();
	this.instance.setTransform(-85,-17,0.5,0.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.cta_1, new cjs.Rectangle(-85,-17,169,34), null);


// stage content:
(lib.banner = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.actionFrames = [119];
	// timeline functions:
	this.frame_119 = function() {
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).wait(119).call(this.frame_119).wait(2101));

	// logo
	this.instance = new lib.logo_1();
	this.instance.setTransform(56.35,126.05,1,1,0,0,0,40,7);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({_off:true},2159).wait(61));

	// copy3
	this.instance_1 = new lib.Interpolação21("synched",0);
	this.instance_1.setTransform(76,69.75);
	this.instance_1.alpha = 0;
	this.instance_1._off = true;

	this.instance_2 = new lib.Interpolação22("synched",0);
	this.instance_2.setTransform(76,75.75);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.instance_1}]},102).to({state:[{t:this.instance_2}]},15).to({state:[]},2101).wait(2));
	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(102).to({_off:false},0).to({_off:true,y:75.75,alpha:1},15,cjs.Ease.cubicOut).wait(2103));

	// cta
	this.instance_3 = new lib.cta_1();
	this.instance_3.setTransform(100.9,31.85);
	this.instance_3.alpha = 0;
	this.instance_3._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(95).to({_off:false},0).to({x:101.05,y:41.4,alpha:1},15,cjs.Ease.cubicOut).to({_off:true},1841).wait(269));

	// masc (mask)
	var mask = new cjs.Shape();
	mask._off = true;
	var mask_graphics_4 = new cjs.Graphics().p("A6wGdIAAqZMA0SAAAIjGKZg");
	var mask_graphics_5 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_6 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_7 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_8 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_9 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_10 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_11 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_12 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_13 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_14 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_15 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_16 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_17 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_18 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_19 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_20 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_21 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_22 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_23 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_24 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_25 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_26 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_27 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_28 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_29 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_30 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_31 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");
	var mask_graphics_32 = new cjs.Graphics().p("A6IGdIAAqZMA0RAAAIjFKZg");

	this.timeline.addTween(cjs.Tween.get(mask).to({graphics:null,x:0,y:0}).wait(4).to({graphics:mask_graphics_4,x:-171.275,y:41.2727}).wait(1).to({graphics:mask_graphics_5,x:-146.0098,y:41.2727}).wait(1).to({graphics:mask_graphics_6,x:-118.8804,y:41.2727}).wait(1).to({graphics:mask_graphics_7,x:-93.7597,y:41.2727}).wait(1).to({graphics:mask_graphics_8,x:-70.5703,y:41.2727}).wait(1).to({graphics:mask_graphics_9,x:-49.2351,y:41.2727}).wait(1).to({graphics:mask_graphics_10,x:-29.6767,y:41.2727}).wait(1).to({graphics:mask_graphics_11,x:-11.818,y:41.2727}).wait(1).to({graphics:mask_graphics_12,x:4.4184,y:41.2727}).wait(1).to({graphics:mask_graphics_13,x:19.1098,y:41.2727}).wait(1).to({graphics:mask_graphics_14,x:32.3332,y:41.2727}).wait(1).to({graphics:mask_graphics_15,x:44.1661,y:41.2727}).wait(1).to({graphics:mask_graphics_16,x:54.6856,y:41.2727}).wait(1).to({graphics:mask_graphics_17,x:63.9691,y:41.2727}).wait(1).to({graphics:mask_graphics_18,x:72.0938,y:41.2727}).wait(1).to({graphics:mask_graphics_19,x:79.1368,y:41.2727}).wait(1).to({graphics:mask_graphics_20,x:85.1756,y:41.2727}).wait(1).to({graphics:mask_graphics_21,x:90.2873,y:41.2727}).wait(1).to({graphics:mask_graphics_22,x:94.5492,y:41.2727}).wait(1).to({graphics:mask_graphics_23,x:98.0385,y:41.2727}).wait(1).to({graphics:mask_graphics_24,x:100.8326,y:41.2727}).wait(1).to({graphics:mask_graphics_25,x:103.0086,y:41.2727}).wait(1).to({graphics:mask_graphics_26,x:104.6438,y:41.2727}).wait(1).to({graphics:mask_graphics_27,x:105.8155,y:41.2727}).wait(1).to({graphics:mask_graphics_28,x:106.6009,y:41.2727}).wait(1).to({graphics:mask_graphics_29,x:107.0774,y:41.2727}).wait(1).to({graphics:mask_graphics_30,x:107.322,y:41.2727}).wait(1).to({graphics:mask_graphics_31,x:107.4121,y:41.2727}).wait(1).to({graphics:mask_graphics_32,x:107.425,y:41.2727}).wait(2188));

	// copy1
	this.instance_4 = new lib.Interpolação23("synched",0);
	this.instance_4.setTransform(108,48.5);
	this.instance_4._off = true;

	this.instance_5 = new lib.Interpolação24("synched",0);
	this.instance_5.setTransform(108,48.5);
	this.instance_5.alpha = 0;

	var maskedShapeInstanceList = [this.instance_4,this.instance_5];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.instance_4}]},4).to({state:[{t:this.instance_4}]},88).to({state:[{t:this.instance_5}]},3).to({state:[]},2083).wait(42));
	this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(4).to({_off:false},0).wait(88).to({startPosition:0},0).to({_off:true,alpha:0},3).wait(2125));

	// bg-color
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#F9FBFF").s().p("A5xIuIAAxbMAzjAAAIAARbg");
	this.shape.setTransform(160.05,50.8);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(2220));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(155.1,45.1,170.00000000000003,61.49999999999999);
// library properties:
lib.properties = {
	id: 'F15FE03F2B7D4DD4B742D709C8019CE5',
	width: 320,
	height: 100,
	fps: 24,
	color: "#FFFFFF",
	opacity: 1.00,
	manifest: [
		{src:"images/banner_atlas_P_1.png?1724423612941", id:"banner_atlas_P_1"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['F15FE03F2B7D4DD4B742D709C8019CE5'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}
an.handleFilterCache = function(event) {
	if(!event.paused){
		var target = event.target;
		if(target){
			if(target.filterCacheList){
				for(var index = 0; index < target.filterCacheList.length ; index++){
					var cacheInst = target.filterCacheList[index];
					if((cacheInst.startFrame <= target.currentFrame) && (target.currentFrame <= cacheInst.endFrame)){
						cacheInst.instance.cache(cacheInst.x, cacheInst.y, cacheInst.w, cacheInst.h);
					}
				}
			}
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;